> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v2/assurance/update-dnsproxy-entry ## OpenAPI ````json POST /v2/assurance/update-dnsproxy-entry { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v2/assurance/update-dnsproxy-entry": { "post": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v2AssuranceUpdateDnsproxyEntryPostRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v2AssuranceUpdateDnsproxyEntryPostResponse" } } } } } } } }, "components": { "schemas": { "v2AssuranceUpdateDnsproxyEntryPostRequest": { "type": "object", "properties": { "dnsproxyEntry": { "$ref": "#/components/schemas/assuranceDnsProxyEntry" } }, "additionalProperties": false }, "v2AssuranceUpdateDnsproxyEntryPostResponse": { "type": "object", "properties": {}, "additionalProperties": false }, "assuranceDnsProxyEntry": { "type": "object", "properties": { "dnsproxyEntryId": { "type": "string", "example": "example string", "description": "dns proxy table entry id (required)" }, "ipList": { "type": "array", "items": { "type": "string", "example": "example string", "description": "IP list to exclude (required)" } }, "name": { "type": "string", "example": "DNSPROXY_EXCEPTION_DNS", "description": "name of the entry (required)" }, "nameText": { "type": "string", "example": "example string", "description": "user defined name of the record (required)" }, "portList": { "type": "array", "items": { "type": "string", "example": "example string", "description": "port list to exclude (required)" } }, "protocol": { "type": "string", "example": "example string", "description": "protocol to exclude (required)" } }, "additionalProperties": false, "required": [ "dnsproxyEntryId", "ipList", "name", "nameText", "portList", "protocol" ] } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````